#### LigatureEvent

(docme).

Music types: general-music, span-event, ligature-event and event

Accepted by: Coherent_ligature_engraver, Gregorian_ligature_engraver, Ligature_bracket_engraver, Ligature_engraver, Mensural_ligature_engraver, Swallow_engraver, Swallow_performer and Vaticana_ligature_engraver

Properties:

`name` (symbol):
  `'LigatureEvent`

  Name of this music object

`internal-class-name` (string):
  `Event`

  C++ class to use for this Music object

`span-type` (string):
  `'ligature`

  What kind of spanner should be created?

  TODO: consider making type into symbol

`types` (list):
  `'(general-music span-event ligature-event event)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.5 (stable-branch).